1. Subscribers
Maildesk API
  • Maildesk Webhook
  • API Authentication
  • Subscribers
    • Get a subscriber by ID
      GET
    • Update a subscriber
      PUT
    • Delete a subscriber
      DELETE
    • Get all subscribers
      GET
    • Create a new subscriber
      POST
    • Create up to 100 subscribers in a single request
      POST
  • Tags
    • Get all tags
      GET
    • Create a new tag
      POST
    • Get a tag by ID
      GET
    • Update a tag
      PUT
    • Delete a tag
      DELETE
  • Schemas
    • Schemas
    • ContactApiResponse
    • UpdateContactAPIRequest
    • PaginatedApiResponse
    • CreateContactAPIRequest
    • PaginatedTagsApiResponse
    • BulkCreateContactAPIRequest
    • CreateTagApiRequest
    • BulkContactApiResponse
    • TagApiResponse
    • UpdateTagApiRequest
    • ContactResponseDto
    • TagResponse
    • BulkContactFailure
  1. Subscribers

Create a new subscriber

POST
/api/subscribers
Create a new subscriber with the provided details

Request

Authorization
Body Params application/jsonRequired

Examples

Responses

🟢201Created
application/json
Subscriber created successfully
Bodyapplication/json

🟠401Unauthorized
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.maildesk.io/api/subscribers' \
--header 'Content-Type: application/json' \
--data-raw '{
    "email": "john.doe@example.com",
    "firstName": "John",
    "lastName": "Doe",
    "isConfirmed": "true | false",
    "tags": [
        "tag1",
        "tag2"
    ]
}'
Response Response Example
{
    "subscriber": {
        "id": "01ARZ3NDEKTSV4RRFFQ69G5FAV",
        "email": "john.doe@example.com",
        "firstName": "John",
        "lastName": "Doe",
        "status": "CONFIRMED",
        "tags": [
            "Newsletter",
            "Premium"
        ],
        "createdAt": "2024-03-20T10:00:00.000Z"
    }
}
Modified at 2026-04-21 06:01:17
Previous
Get all subscribers
Next
Create up to 100 subscribers in a single request
Built with